Bug 167989 - Broken zh_CN and zh_TW translation for .desktop file
Broken zh_CN and zh_TW translation for .desktop file
Product: Fedora
Classification: Fedora
Component: grip (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Reber
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2005-09-10 00:39 EDT by Chong Kai Xiong
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-15 16:43:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch for zh_CN/zh_TW translation (1.12 KB, text/plain)
2005-09-12 23:13 EDT, Chong Kai Xiong
no flags Details
Original patch and patched grip.desktop (1.13 KB, application/zip)
2005-09-13 21:56 EDT, Chong Kai Xiong
no flags Details

  None (edit)
Description Chong Kai Xiong 2005-09-10 00:39:04 EDT
Description of problem:
The zh_CN and the zh_TW translation of the Name and Comment fields are broken.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
a. run GNOME under zh_CN.utf8, view shortcut in menu. OR
b. manual inspection of the desktop file using for example, gedit.
Actual results:
Garbled characters like these are seen:
Name[zh_CN]=Grip MP3 å<88>¶ä½<9C>ç¨<8B>åº<8F>

Expected results:
Name[zh_CN]=Grip MP3 *correct Chinese characters here*

Additional info:
LANG and LANGUAGE is set to zh_CN.utf8.

Additonal Notes:
* I've not actually run GNOME under zh_TW.utf8 to see the problem appearing in
the menu. But using (b) is sufficient to conclude that the same problem also
exists for zh_TW.utf8.
* The said strings don't appear to be in GB or Big5 encoding either (tested with
Comment 1 Adrian Reber 2005-09-12 18:30:21 EDT
The desktop file is converted from iso-8859-1 to utf8 in the spec file during
build. The original desktop file seems to be already in the wrong format. The
best would be if you could directly contact the upstream author about this error.
The only thing I could do about it, is to delete the lines with the wrong the
encodings from the desktop file.
Could you provide a patch to the existing desktop file with the correct content
and encoding?
Comment 2 Chong Kai Xiong 2005-09-12 23:13:44 EDT
Created attachment 118745 [details]
Patch for zh_CN/zh_TW translation


a. Add Encoding key (UTF-8).
b. Remove .big5, .gb2312 encoding tags (deprecated)
c. Fix zh_TW and zh_CN translations for Name and Comment.
d. New German translation (taken from 3.3.1).

* I've left Name untranslated as 'Grip'. Translations for other languages have
done the same thing.
* The fix was done with 3.3.1 and diff'ed with 3.2.0, so we get the German
translation in 3.3.1. The more translations the better. I can't vouch for its
correctness however.
Comment 3 Adrian Reber 2005-09-13 00:18:18 EDT
Can you compress and reattach the patch. I am not sure if downloaded the patch
with the correct encoding. Maybe you could also attach a version of your desktop
file (also compressed) so that I can compare if my patched version is the same
as yours. Thanks.
Comment 4 Chong Kai Xiong 2005-09-13 21:56:42 EDT
Created attachment 118783 [details]
Original patch and patched grip.desktop

Note: The patch was made from the original source, so it'd require some
adjustments in the spec file.
Comment 5 Adrian Reber 2005-09-13 22:15:53 EDT
Thanks, I have made a new SRPM containing your patch.
For me it looks like this version contains now a correct desktop file. It would
be great if you could verify this by rebuilding and testing this rpm.
Comment 6 Chong Kai Xiong 2005-09-15 03:52:29 EDT
It works fine :)
Comment 7 Adrian Reber 2005-09-15 16:43:16 EDT

Note You need to log in before you can comment on or make changes to this bug.